Package org.apache.ignite.internal.binary.builder

## Class BinaryBuilderEnum

- java.lang.Object
- - org.apache.ignite.internal.binary.builder.BinaryBuilderEnum

    public class BinaryBuilderEnum
    extends Object

### Constructor Summary

Constructors
`BinaryBuilderEnum​(int typeId, Enum anEnum)`
`BinaryBuilderEnum​(BinaryBuilderReader reader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object o)`
`int` `getOrdinal()`
`int` `hashCode()`
`void` `writeTo​(BinaryWriterExImpl writer, org.apache.ignite.internal.binary.builder.BinaryBuilderSerializer ctx)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryBuilderEnum

    public BinaryBuilderEnum​(int typeId,
                             Enum anEnum)

Parameters:
  `typeId` - Type ID.
  `anEnum` - Enum instance.

#### BinaryBuilderEnum

    public BinaryBuilderEnum​(BinaryBuilderReader reader)

Parameters:
  `reader` - BinaryBuilderReader.

### Method Detail

#### getOrdinal

    public int getOrdinal()

Returns:
  Ordinal.

#### writeTo

    public void writeTo​(BinaryWriterExImpl writer,
                        org.apache.ignite.internal.binary.builder.BinaryBuilderSerializer ctx)

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`